Уязвимость BDU:2022-02394

Дата: 29.11.2021. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-02394.

Наименование уязвимости: Уязвимость функции simplexml_load_file() интерпретатора PHP , позволяющая нарушителю получить несанкционированный доступ к защищаемой информации.

Описание уязвимости: Уязвимость функции simplexml_load_file() интерпретатора PHP связана с недостаточной проверкой вводимых данных. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, получить несанкционированный доступ к защищаемой информации
Уязвимое ПО: Операционная система Debian GNU/Linux 9 | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Debian GNU/Linux 10 | Операционная система Canonical Ltd. Ubuntu 20.04 LTS | Операционная система Novell Inc. OpenSUSE Leap 15.2 | Операционная система Fedora Project Fedora 33 | Операционная система Fedora Project Fedora 34 | Операционная система Canonical Ltd. Ubuntu 16.04 ESM | Операционная система Novell Inc. OpenSUSE Leap 15.3 | Операционная система Debian GNU/Linux 11 | Операционная система Fedora Project Fedora 35 | Операционная система Canonical Ltd. Ubuntu 21.10 | Операционная система Novell Inc. OpenSUSE Leap 15.4 | Прикладное ПО информационных систем PHP Group PHP от 7.3.0 до 7.3.33 | Прикладное ПО информационных систем PHP Group PHP от 7.4.0 до 7.4.26 | Прикладное ПО информационных систем PHP Group PHP от 8.0.0 до 8.0.13 |

Наименование ОС и тип аппаратной платформы: Debian GNU/Linux 9 | Ubuntu 1804 LTS | Debian GNU/Linux 10 | Ubuntu 2004 LTS | OpenSUSE Leap 152 | Fedora 33 | Fedora 34 | Ubuntu 1604 ESM | OpenSUSE Leap 153 | Debian GNU/Linux 11 | Fedora 35 | Ubuntu 2110 | OpenSUSE Leap 154 |
Дата выявления: 29.11.2021.
CVSS 2.0: AV:N/AC:L/Au:N/C:P/I:N/A:N
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 5)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 5,3)

Возможные меры по устранению:
Использование рекомендаций:https://bugs.php.net/bug.php?id=79971

Для программных продуктов Novell Inc.:
https://www.suse.com/security/cve/CVE-2021-21707

Для Ubuntu
https://ubuntu.com/security/CVE-2021-21707

Для Fedora:
https://lists.fedoraproject.org/archives/search?mlist=package-announce%40lists.fedoraproject.org&q=CVE-2021-21707

Для Debian GNU/Linux:
https://security-tracker.debian.org/tracker/CVE-2021-21707.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2021-21707.

Тип ошибки CWE: CWE-20, CWE-159
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://bugs.php.net/bug.php?id=79971
https://security.netapp.com/advisory/ntap-20211223-0005/
https://www.debian.org/security/2022/dsa-5082

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.